<?php

$PluginInfo['ILikeStatistics'] = array(
    'Name' => 'I Like Statistics',
    'Description' => 'Statistics for the <a href = "https://vanillaforums.org/addon/891/i-like-this-plugin">I Like This</a> plugin.',
    'RequiredPlugins' => array('LikeThis' => '1.1'),
    'RegisterPermissions' => array('ILikeStatistics.View'),
    'Version' => '0.1',
    'Author' => 'R_J',
);
class ILikeStatisticsPlugin extends Gdn_Plugin {
    public function pluginController_iLikeStatistics_create($sender, $args) {
        checkPermission('ILikeStatistics.View');
        $topTen = Gdn::sql()
            ->select('d.Name')
            ->select('l.DiscussionID', 'count', 'LikeCount')
            ->from('AllLikes l')
            ->join('Discussion d', 'l.DiscussionID = d.DiscussionID')
            ->limit('10')
            ->groupBy('l.DiscussionID')
            ->orderBy('count(l.DiscussionID)', 'desc')
            ->orderBy('d.Name', 'asc')
            ->get()
            ->resultArray();
?>
<table>
  <thead>
    <tr>
      <th><?= t('Discussion') ?></th>
      <th><?= t('Likes') ?></th>
    </tr>
  </thead>
  <tbody>
  <?php foreach($topTen as $data): ?>
      <tr>
        <td><?= $data['Name'] ?></td>
        <td><?= $data['LikeCount'] ?></td>
      </tr>
    <?php endforeach; ?>
  </tbody>
</table>
<?php
    }
}
